import { FernApiEditor } from "@fern-fern/api-editor-sdk";
import { MockDefinitionItem } from "./MockDefinitionItem";
import { MockEndpoint } from "./MockEndpoint";
import { MockError } from "./MockError";
import { MockType } from "./MockType";
export declare namespace MockPackage {
    interface Init extends MockDefinitionItem.Init {
        name?: string;
    }
}
export declare class MockPackage extends MockDefinitionItem {
    packageId: FernApiEditor.PackageId;
    packageName: string;
    constructor({ name, ...superInit }: MockPackage.Init);
    addPackage(name?: string): MockPackage;
    addEndpoint(name?: string): MockEndpoint;
    addType({ name, shape }?: {
        name?: string;
        shape?: FernApiEditor.Shape;
    }): MockType;
    addObject({ name, shape, }?: {
        name?: string;
        shape?: FernApiEditor.ObjectShape;
    }): MockType;
    addUnion({ name, shape, }?: {
        name?: string;
        shape?: FernApiEditor.UnionShape;
    }): MockType;
    addError(name?: string): MockError;
}
