import { AbstractDeleteTransactionHander } from "../AbstractDeleteTransactionHander";
export class DeleteEndpointTransactionHandler extends AbstractDeleteTransactionHander {
    removeDefinition(transaction) {
        // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
        delete this.definition.endpoints[transaction.endpointId];
    }
    removeFromParent(transaction) {
        const parentId = this.graph.getEndpointParent(transaction.endpointId);
        const parent = this.getPackageOrThrow(parentId);
        const indexOfEndpoint = parent.endpoints.indexOf(transaction.endpointId);
        if (indexOfEndpoint === -1) {
            throw new Error(`Endpoint ${transaction.endpointId} does not exist in parent ${parentId}`);
        }
        parent.endpoints.splice(indexOfEndpoint, 1);
    }
    removeFromGraph(transaction) {
        this.graph.deleteEndpoint(transaction.endpointId);
    }
}
