import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export class ReorderTypesTransactionHandler extends AbstractTransactionHandler {
    applyTransaction(transaction) {
        const package_ = this.getPackageOrThrow(transaction.packageId);
        if (package_.types.length !== transaction.newOrder.length) {
            throw new Error(`Cannot re-order types in package ${transaction.packageId} because new order has length ${transaction.newOrder.length} and existing types have length ${package_.types.length}`);
        }
        const newOrderSet = new Set(transaction.newOrder);
        if (newOrderSet.size < transaction.newOrder.length) {
            throw new Error(`Cannot re-order types in package ${transaction.packageId} because new order contains duplicates`);
        }
        package_.types = transaction.newOrder.map((typeId) => this.getTypeOrThrow(typeId).typeId);
    }
}
