import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export class AbstractUnionTransactionHander extends AbstractTransactionHandler {
    getUnionOrThrow(unionId) {
        const type = this.getTypeOrThrow(unionId);
        if (type.shape.type !== "union") {
            throw new Error(`Type ${unionId} is not a union`);
        }
        return type.shape;
    }
    getUnionMemberOrThrow(unionId, memberId) {
        const union = this.getUnionOrThrow(unionId);
        const member = union.members.find((member) => member.unionMemberId === memberId);
        if (member == null) {
            throw new Error(`Member ${memberId} does not exist`);
        }
        return member;
    }
}
